View Issue Details

IDProjectCategoryView StatusLast Update
0000802luatexluatex bugpublic2013-12-20 10:01
ReporterTacoAssigned ToTaco 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version 
Summary0000802: LuaTeX segfaults on invalid UTF-8 csnames
DescriptionFrom Bruno Le Floch:
LuaTeX doesn't segfault on invalid UTF-8 appearing in a file: this
simply leads to a fatal error. However, one can build invalid UTF-8
using the bytes ^^^^^^110000 to ^^^^^^1100ff. If one builds a control
sequence whose name is invalid UTF-8, then try to convert this
sequence to a string, LuaTeX segfaults. Namely, both

    \expandafter\string\csname ^^^^^^1100ff\endcsname

and

    \number\expandafter`\csname ^^^^^^1100ff\endcsname

make LuaTeX segfault, but

    \edef\foo{\csname ^^^^^^1100ff\endcsname}
    \show\foo

does not (even though the invalid UTF-8 name is written to the terminal).

Regards,
Bruno
TagsNo tags attached.

Activities

Hans Hagen

2013-12-19 17:13

manager   ~0001161

in 0.78 this works ok (no segfault):

\expandafter\meaning\csname ^^^^^^110000\endcsname
\expandafter\meaning\csname ^^^^^^1100ff\endcsname

\expandafter\string \csname ^^^^^^110000\endcsname
\expandafter\string \csname ^^^^^^1100ff\endcsname

Hans Hagen

2013-12-20 10:01

manager   ~0001174

closed in 0.78

Issue History

Date Modified Username Field Change
2013-01-14 09:53 Taco New Issue
2013-01-14 09:53 Taco Status new => assigned
2013-01-14 09:53 Taco Assigned To => Taco
2013-12-19 17:13 Hans Hagen Note Added: 0001161
2013-12-19 17:13 Hans Hagen Status assigned => resolved
2013-12-19 17:13 Hans Hagen Resolution open => fixed
2013-12-20 10:01 Hans Hagen Note Added: 0001174
2013-12-20 10:01 Hans Hagen Status resolved => closed